<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);     
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>Sytist Requirements Check</title>
  <style>
	body { font-family: arial; } 
	div { padding: 8px; } 
	.good { color: #008900; font-weight: bold; }  
	.error { color: #890000; font-weight: bold; }  

  </style>
 </head>

 <body>
  

<h2>Checking hosting requirements for Sytist</h2>

<div>PHP Version: <?php print phpversion();
if(phpversion() < 5) { $error .= "<div>The PHP version is ".phpversion().". Sytist requires PHP version 5.</div>"; } ?></div>
<div><?php if(@function_exists('mysqli_connect')) { print "MySQLi is supported"; } else { $error .=  "No MySQLi functions! In order to use Sytist version 1.1.0 or higher, the PHP configuration on your hosting needs to support the MySQLi_ functions."; } ?></div> 

<div>File Writable: <?php
if(is_writable(dirname(__FILE__)."/sytist.php")) { print "yes"; } else { print "no";  $error .= "<div>This file is not writable which is needed for Sytist to work</div>"; } ?>
</div>

<div>GD Library: <?php $gd = gd_info(); 
if(empty($gd['GD Version'])) { print "not found"; $error .= "<div>It looks like the GD Library is not installed</div>"; } else { print $gd['GD Version']; } ?></div>

<div>PHP Safe mode: 
<?php 
if( ini_get('safe_mode') ){
   print " safe mode is on ";
   $error .= "<div> It appears PHP safe mode is on. Sytist requires PHP safe mode to be off. You can contact your host and see if they can disable safe mode for your account.</div>";
}else{
   print "Off"; 
}  
?>
</div>
<?php
if(!empty($error)) { ?>
<h3>Error: </h3>
<div class="error"><?php print $error; ?></div>
<div>It appears this hosting does not meet the requirements for Sytist to work. If you want to double check, contact your hosting company or email info@sytist.com with your domain name and FTP information and we can take a look.</div>
<?php } else { ?>
<div class="good">Looks like everything is good and Sytist should work fine on this hosting.</div>
<?php } ?>

<div>
<?php if(!function_exists('read_exif_data')) {
	print "The PHP on your hosting does not support reading EXIF data from photos";
} else { 
	print "Your hosting does support reading IPTC / EXIF from photos.";
}
?>
</div>
<div><?php 
if(!function_exists('zip_open')) { 
	print "The ZIP function is NOT enabled in the PHP configuration. In order for people to download photos in a zip file, you will need to have your hosting company enable the ZIP functions in the PHP settings on your hosting.";
} else { 
	print "The ZIP function is enabled in the PHP configuration.";
}
?>	
</div>
<div>
<?php 
if( ini_get('allow_url_fopen') ) {
	print "allow_url_fopen is enabled";
} else { 
	print "allow_url_fopen is disabled";
}
?>
</div>
<div><a href="http://www.picturespro.com/sytist/">Sytist.com</a></div>
<div>Additional PHP info</div>
<div>Memory Limit: <?php print ini_get('memory_limit'); ?></div>
<div>Post Max size: <?php print ini_get('post_max_size'); ?></div>
<div>Upload Max Size: <?php print ini_get('upload_max_filesize'); ?></div>
</body>
</html>